
QGIS Application - Bug report #13492

GRASS 7 extension in QGIS 2.10 under Ubuntu/Debian inexistent or non-fonctional

2015-10-02 01:45 PM - Guillaume Larocque

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21537

Description

Using the ubuntugis repository: Only GRASS 7 is available and after installation of QGIS 2.10 with GRASS 7 (and qgis-plugin-grass), no

GRASS extensions are visible in QGIS. Using http://qgis.org/debian as the repository, GRASS 6 and 7 are available and installing

GRASS 6 alongside QGIS 2.10.1 allows access to the old-style (2.8-) extension. Does not work with GRASS 7.

So, the new extension with GRASS 7 doesn't seem to be available, or is non-functional under Ubuntu/Debian. I am using Ubuntu 14.04.

History

#1 - 2015-10-02 02:18 PM - Guillaume Larocque

The extension does seem to work with the new access through the browser in QGIS 2.10.1 with GRASS 6.4. Disregard what I mentioned about the

old-style extension. However, clearly doesn't work with GRASS 7.

#2 - 2015-10-05 03:09 AM - Jürgen Fischer

- Status changed from Open to Closed

The GRASS plugin for QGIS 2.10.1 doesn't support GRASS7.  However the provider and therefore the browser does work with GRASS 7.

#3 - 2015-10-05 08:07 AM - Guillaume Larocque

- Status changed from Closed to Reopened

On Linux, installing QGIS 2.10.1 alongside GRASS 7 does not provide any support for GRASS files through the QGIS browser. It only works with GRASS

6.4. However, the ubuntugis repository only includes GRASS 7. The download instructions here (

http://qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu) should be updated accordingly to prevent any confusion.

#4 - 2015-10-05 09:04 AM - Jürgen Fischer

- Status changed from Reopened to Closed

Guillaume Larocque wrote:

On Linux, installing QGIS 2.10.1 alongside GRASS 7 does not provide any support for GRASS files through the QGIS browser. It only works with

GRASS 6.4. However, the ubuntugis repository only includes GRASS 7. The download instructions here (

http://qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu) should be updated accordingly to prevent any confusion.
IIRC GRASS 7 was introduced to Debian and UbuntuGIS after the QGIS 2.10 release.  Therefore the release packages were only built with GRASS 6

support (which moreover they are grass-wise broken for the flavors that lost GRASS 6 after the release).  The 2.10.1 nightlies however have a

qgis-provider-grass package that should provide the above.

#5 - 2015-10-05 09:12 AM - Guillaume Larocque

Will this be improved in 2.12?

#6 - 2015-10-05 09:14 AM - Jürgen Fischer

Guillaume Larocque wrote:

Will this be improved in 2.12?

Yes, and the GRASS plugin does support GRASS 7.

#7 - 2015-10-05 09:17 AM - Guillaume Larocque

This was the point of this bug report. The GRASS plugin doesn't work with GRASS 7 in Ubuntu. Are you saying that it will work or that it does work?

#8 - 2015-10-06 12:03 AM - Jürgen Fischer

Guillaume Larocque wrote:

This was the point of this bug report. The GRASS plugin doesn't work with GRASS 7 in Ubuntu. Are you saying that it will work or that it does work?

In master it does.
